Bug 212041 - x11/sterm: update to 0.7
Summary: x11/sterm: update to 0.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-22 06:09 UTC by Zsolt Udvari
Modified: 2016-09-06 18:17 UTC (History)
1 user (show)

See Also:
amdmi3: maintainer-feedback+


Attachments
patch (1.83 KB, patch)
2016-08-22 06:09 UTC, Zsolt Udvari
no flags Details | Diff
Improved patch (2.44 KB, patch)
2016-08-22 09:50 UTC, Dmitry Marakasov
amdmi3: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zsolt Udvari 2016-08-22 06:09:28 UTC
Created attachment 173925 [details]
patch

- update to 0.7
- doesn't need ncurses from port
- change default TERM to xterm
- patches generated by 'make makepatch'
- added st.info if user wants use with 'tic'

portlint: OK
porttest: OK (FreeBSD 93amd64-default 9.3-RELEASE-p45 FreeBSD 9.3-RELEASE-p45 amd64)
porttest: OK (FreeBSD 10amd64-default 10.3-RELEASE-p6 FreeBSD 10.3-RELEASE-p6 amd64)

Details:
http://freebsd.uzsolt.hu/logs/x11/sterm/sterm-0.7-10.log
http://freebsd.uzsolt.hu/logs/x11/sterm/sterm-0.7-93.log
Comment 1 Dmitry Marakasov freebsd_committer 2016-08-22 09:50:15 UTC
Created attachment 173930 [details]
Improved patch

Looks good and builds fine. Suggesting additional minor changes:
- remove unneeded bsd.port.options.mk inclusion
- use options helpers
- Fix WWW according to porter's handbook
Comment 2 kitche 2016-08-26 04:33:19 UTC
Looks good st.info is a bit useless though as you would have to convert it to termcap. Since FREEBSD doesn’t use termifo. But port works.
Comment 3 Zsolt Udvari 2016-08-26 04:46:22 UTC
(In reply to kitche from comment #2)
If it isn't possible to use st.info I think would skip from install.
Comment 4 commit-hook freebsd_committer 2016-09-06 18:17:07 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Sep  6 18:17:02 UTC 2016
New revision: 421456
URL: https://svnweb.freebsd.org/changeset/ports/421456

Log:
  - Update to 0.7
  - Regenerate patch
  - Remove unneeded ncurses dependency
  - While here, switch to options helpers and fix WWW

  PR:		212041
  Submitted by:	udvzsolt@gmail.com
  Approved by:	kitche@kitchetech.com (maintainer)

Changes:
  head/x11/sterm/Makefile
  head/x11/sterm/distinfo
  head/x11/sterm/files/patch-Makefile
  head/x11/sterm/pkg-descr
Comment 5 Dmitry Marakasov freebsd_committer 2016-09-06 18:17:30 UTC
Ok, dropping st.info